import { Injectable } from '@angular/core';
import { Wonder } from './wonder';

@Injectable({
  providedIn: 'root'
})
export class WondersDataProviderService {
  wonders: Wonder[] = [];

  constructor() { 
    this.wonders.push({
      name: 'Колизей',
      description: `Колизе́й (лат. Сolosseum), или амфитеатр Флавиев (лат. Amphitheatrum Flavium) — амфитеатр, памятник архитектуры Древнего Рима, 
      наиболее известное и одно из самых грандиозных сооружений Древнего мира, сохранившихся до нашего времени. Находится в Риме, в низине между Эсквилинским, 
      Палатинским и Целиевым холмами. Строительство самого большого амфитеатра античного мира, вместимостью свыше 50 тыс. человек, велось на протяжении восьми 
      лет как коллективное сооружение императоров династии Флавиев. Его начали строить в 72 году н. э. при императоре Веспасиане, а в 80 году н. э. 
      амфитеатр был освящён императором Титом. Амфитеатр расположился на том месте, где был пруд, относившийся к Золотому дому Нерона.`,
      image: {
        href: '../../assets/images/Сolosseum.jpg',
        alt: 'Colosseum.jpg'
      }
    });
    this.wonders.push({
      name: 'Чичен-Ица',
      description: `Чиче́н-Ица́ (исп. Chichén Itzá, аст. Chichen Itzā, юк. Chi’ch'èen Ìitsha) — политический и культурный центр майя на севере полуострова Юкатан в Мексике, 
      священный город народа Ица. Расположен в 120 км к востоку от города Мерида. В 2007 году по результатам опроса, проведённого организацией New Open World Corporation, 
      город был признан одним из новых семи чудес света`,
      image: {
        href: '../../assets/images/El-Castillo-pyramid-plaza-Toltec-state-Yucatan.jpg',
        alt: 'Chichen_Itza.jpg'
      }
    });
    this.wonders.push({
      name: 'Статуя Христа-Искупиителя',
      description: `Ста́туя Христа́-Искупи́теля (порт. Cristo Redentor) — статуя Иисуса Христа в стиле ар-деко, расположенная на вершине горы Корковаду в Рио-де-Жанейро. 
      Является символом Рио-де-Жанейро и Бразилии в целом. В 2007 г. избрана одним из Новых семи чудес света.
      Статуя находится на территории национального парка Тижука, на высоте 709 метров над уровнем моря.`,
      image: {
        href: '../../assets/images/statue-Christ-the-Redeemer-Rio-de-Janeiro.jpg',
        alt: 'Cristo_Redentor.jpg'
      }
    });
    this.wonders.push({
      name: 'Тадж-Махал',
      description: `Тадж-Маха́л (хинди ताज महल, урду تاج محل‎ — «Корона дворцов», англ. Taj Mahal) — мавзолей-мечеть, находящийся в Агре, Индия, на берегу реки Джамна 
      (архитекторы, вероятно, Устад-Иса и др.). Построен по приказу потомка Тамерлана, падишаха империи Бабуридов Шах-Джахана, в память о жене Мумтаз-Махал, 
      умершей при родах четырнадцатого ребёнка (позже здесь был похоронен и сам Шах-Джахан). Тадж-Махал (также «Тадж») считается лучшим примером архитектуры стиля моголов, 
      который сочетает в себе элементы индийского, персидского и арабского архитектурных стилей. В 1983 году Тадж-Махал был назван объектом Всемирного наследия ЮНЕСКО: 
      «жемчужиной мусульманского искусства в Индии и одним из всеми признанных шедевров всемирного наследия»`,
      image: {
        href: '../../assets/images/Taj-Mahal-Agra-India.jpg',
        alt: 'Taj_Mahal_Agra_India.jpg'
      }
    });
    this.wonders.push({
      name: 'Петра',
      description: `Пе́тра (араб. البتراء‎ —аль-Батра́, др.-греч. Πέτρα) — древний город, столица Идумеи (Эдома), позже столица Набатейского царства. 
      Сами набатеи называли свой город Rqm (Ракму). Расположен на территории современной Иордании, на высоте более 900 м над уровнем моря и 660 м над окружающей местностью, 
      в долине Аравы, в узком каньоне Сик (англ.). Проход в долину — через ущелья, расположенные на севере и на юге, тогда как с востока и запада скалы отвесно обрываются, 
      образуя естественные стены до 60 м в высоту. Неподалёку от Петры расположены скальный храм Ад-Дэйр и могила Аарона.`,
      image: {
        href: '../../assets/images/Khaznah-Petra-Jordan.jpg',
        alt: 'Petra.jpg'
      }
    });
    this.wonders.push({
      name: 'Мачу-Пикчу',
      description: `Ма́чу-Пи́кчу (кечуа Machu Piсchu, в переводе — «старая гора») — город древней Америки, находящийся на территории современного Перу, 
      в 6 километрах от посёлка Агуас-Кальентес, на вершине горного хребта на высоте 2400 метров над уровнем моря, господствуя над долиной реки Урубамбы. 
      В 2007 году удостоен звания Нового чуда света. Также Мачу-Пикчу часто называют «город в руинах» или «город среди облаков», также иногда называют «потерянным городом инков». 
      Сходный с Мачу Пикчу высокогорный город Чокекирао просуществовал гораздо дольше, до 1570-х годов.`,
      image: {
        href: '../../assets/images/Machu-Picchu.jpg',
        alt: 'Machu-Picchu.jpg'
      }
    });
    this.wonders.push({
      name: 'Великая Китайская стена',
      description: `Великая Китайская стена (кит. трад. 長城, упр. 长城, пиньинь Chángchéng, буквально: «Длинная стена» или кит. трад. 萬里長城, упр. 万里长城, 
        пиньинь Wànlǐ Chángchéng, буквально: «Длинная стена в 10 000 ли») — разделительная стена длиной почти 9000 км (полная длина — 21,2 тыс. км), 
        построенная в древнем Китае. Крупнейший памятник архитектуры. В китайском языке слово, обозначающее сам проект (长城, Chángchéng), приобрело также 
        образное значение «несгибаемая могущественная сила, непреодолимый барьер». На протяжении многих столетий стена меняла названия. Изначально называлась «Барьером», 
        «Разгулом» или «Крепостью», позднее стена обрела более поэтичные названия, такие, как «Пурпурная граница» и «Земля драконов».`,
      image: {
        href: '../../assets/images/Great-Wall-of-China-Beijing.jpg',
        alt: 'Great-Wall-of-China.jpg'
      }
    });
  }
}
